Batch delete validation results
curl --request POST \
--url https://{region}.affinda.com/v3/validation_results/batch_delete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ids": [
123,
124,
125
]
}
'import requests
url = "https://{region}.affinda.com/v3/validation_results/batch_delete"
payload = { "ids": [123, 124, 125] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ids: [123, 124, 125]})
};
fetch('https://{region}.affinda.com/v3/validation_results/batch_delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Validation Results
Batch delete validation results
Batch delete validation results
POST
/
v3
/
validation_results
/
batch_delete
Batch delete validation results
curl --request POST \
--url https://{region}.affinda.com/v3/validation_results/batch_delete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ids": [
123,
124,
125
]
}
'import requests
url = "https://{region}.affinda.com/v3/validation_results/batch_delete"
payload = { "ids": [123, 124, 125] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ids: [123, 124, 125]})
};
fetch('https://{region}.affinda.com/v3/validation_results/batch_delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Authorizations
Basic authentication using an API key, e.g. {Authorization: Bearer aff_0bb4fbdf97b7e4111ff6c0015471094155f91}.
You can find your API key within the Settings page of the Affinda web app. You can obtain an API key by signing up for a free trial.
Body
application/json
List of validation result IDs to delete.
Example:
[123, 124, 125]
Response
Delete successful, no content returned
Was this page helpful?
⌘I